/**
 * Contains common constants representing offsets of fields in an object
 * residing on a heap
 *
 * @author Kuba Madej
 *
 */
public interface HeapConstants {
	/**
	 * Offset of f1 field
	 */
	int F1 = 1;

	/**
	 * Offset of f2 field
	 */
	int F2 = 2;

	/**
	 * Offset of data field
	 */
	int DATA = 3;

	/**
	 * Base index
	 */
	int BASE_INDEX = 1;
}
