/**
 * Print statement implementation
 *
 * @author Kuba Madej
 *
 */
public class PrintStatement implements Statement {
	/**
	 * String to print
	 */
	private final String string;

	/**
	 * Constructs new instance
	 *
	 * @param string
	 *            string to print
	 */
	public PrintStatement(String string) {
		this.string = string;
	}

	/**
	 * @see Statement#execute()
	 */
	public void execute() {
		NPJ.print(string);
	}

}
